#pragma rtGlobals=3		// Use modern global access method.

Menu "Nano Utilities"
"CreateCustomXPSFile"
End

Proc CreateCustomXPSFile()
	SIS_CreateCustomXPSFile()
End


Function SIS_CreateCustomXPSFile()

	String customFileContents=""
	String customFileNameStr = "C:\\GUI\\scans\\"
	String tempFileNameStr="XPS_"
	
	Prompt tempFileNameStr, "Enter the file name (e.g. XPS_Ne_100eV)"
	DoPrompt "Insert file name" tempFileNameStr

	customFileNameStr = customFileNameStr + tempFileNameStr + ".txt"

	// open a new file with the given name
	variable refNum
	open refNum as customFileNameStr
	
	//Photon Energy
	Variable EStart = 100
	Variable EStop = 110
	Variable EStep = 0.2
	Variable anotherFlag=2
	Variable i, numSteps
	String tempStr

	do
		Prompt EStart "Start Energy"
		Prompt EStop "Stop Energy"
		Prompt EStep "Step"
		Prompt anotherFlag, "Are you done with adding energies?", popup "Yes;No"
		DoPrompt "Insert values" EStart, EStop, EStep, anotherFlag
		
		numSteps = (EStop - EStart) / EStep
		i=0
		do
			//tempStr = num2str(EStart + i*EStep)
			sprintf tempStr, "%.2f", (EStart + i*EStep)
			fprintf refNum, "%s\n", tempStr
			i = i+1
		while (i<numSteps)

	while (anotherFlag == 2)
	
	close refNum

End